Package tigase.component.adhoc

## Class AdHocCommandManager

- java.lang.Object
- - tigase.component.adhoc.AdHocCommandManager

-     @Bean(name="adHocCommandManager",
            active=true)
      public class AdHocCommandManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdHocCommandManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<AdHocCommand>` | `getAllCommands()` |
    `AdHocCommand` | `getCommand​(java.lang.String nodeName)` |
    `boolean` | `hasCommand​(java.lang.String node)` | Method checks if exists implementation for this command in this CommandManager
    `void` | `process​(Packet packet, java.util.function.Consumer<Packet> resultConsumer)` |
    `void` | `process​(Packet packet, Element commandElement, java.lang.String node, java.lang.String action, java.lang.String sessionId, AdHocCommand adHocCommand, java.util.function.Consumer<Packet> resultConsumer)` |
    `void` | `registerCommand​(AdHocCommand command)` |
    `void` | `setAllCommands​(AdHocCommand[] allCommands)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdHocCommandManager

          public AdHocCommandManager()

  - ### Method Detail

    - #### getAllCommands

          public java.util.Collection<AdHocCommand> getAllCommands()

    - #### setAllCommands

          public void setAllCommands​(AdHocCommand[] allCommands)

    - #### getCommand

          public AdHocCommand getCommand​(java.lang.String nodeName)

    - #### hasCommand

          public boolean hasCommand​(java.lang.String node)

      Method checks if exists implementation for this command in this CommandManager
      Parameters:
        `node` - name for which perform the check
      Returns:
        true - if command exists for this node

    - #### process

          public void process​(Packet packet,
                              java.util.function.Consumer<Packet> resultConsumer)
                       throws AdHocCommandException

      Throws:
        `AdHocCommandException`

    - #### process

          public void process​(Packet packet,
                              Element commandElement,
                              java.lang.String node,
                              java.lang.String action,
                              java.lang.String sessionId,
                              AdHocCommand adHocCommand,
                              java.util.function.Consumer<Packet> resultConsumer)
                       throws AdHocCommandException

      Throws:
        `AdHocCommandException`

    - #### registerCommand

          public void registerCommand​(AdHocCommand command)